/*****************************************************************
* Unipro UGENE - Integrated Bioinformatics Suite
* Copyright (C) 2008,2009 Unipro, Russia (http://ugene.unipro.ru)
* All Rights Reserved
* 
*     This source code is distributed under the terms of the
*     GNU General Public License. See the files COPYING and LICENSE
*     for details.
*****************************************************************/

#ifndef SUBSTITUTIONMATRIX_H
#define SUBSTITUTIONMATRIX_H


#include <fstream>
#include <string>
#include <qvector.h>
#include <qtextstream.h>
#include <qfile.h>

using namespace std;

class SubstitutionMatrix {
public:
	bool readMatrixFromFile(QString pathToFile);
	int getSubstituteValue(char symbol1, char symbol2) const;

	QString getAlphabet() { return alphabet; }
	QVector<QVector<int> > getMatrix() const { return matrix; }

	QString alphabet;

private:
	void removeSpacesFromString(QString &str);

	QVector<QVector<int> > matrix;

};

#endif
